%define prerelease pre2

Name:		olpc-os-builder
Version:	3.0.0
Release:	0.2.%{prerelease}%{?dist}
Summary:	A development tool to build and customize OLPC OS images

Group:		Development/System
License:	GPLv2+
URL:		http://wiki.laptop.org/go/OSBuilder
Source0:	http://dev.laptop.org/~dsd/olpc-os-builder/%{name}-%{version}_%{prerelease}.tar.bz2
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	zlib-devel libtomcrypt-devel
Requires:	python-imgcreate bitfrost zip unzip crcimg mtd-utils mtd-utils-ubi

%description
OLPC OS images for XO laptops are based on Fedora. This tool allows you to
build these OS images as well as applying your own tweaks and customizations.


%prep
%setup -q -n %{name}-%{version}_%{prerelease}


%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# all documentation must be installed through the doc section
# (which has the side effect of wiping out any documentation that was installed
#  during this stage)
mv $RPM_BUILD_ROOT/usr/share/doc/* inst-docs


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc inst-docs/*
%{_sbindir}/olpc-os-builder
%{_libexecdir}/olpc-os-builder
%{_datadir}/olpc-os-builder


%changelog
* Wed Jan 26 2011 Daniel Drake <dsd@laptop.org> 3.0.0-0.2.pre2
- Latest version

* Thu Nov 11 2010 Daniel Drake <dsd@laptop.org> 3.0.0-0.1.pre1
- Initial release

